> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List appearance configurations

> Get all appearance configurations for your organization.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ get /api/v1/appearance/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/appearance/:
    get:
      tags:
        - appearance
      summary: List appearance configurations
      description: Get all appearance configurations for your organization.
      operationId: appearance_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OrgAppearanceConfig'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    OrgAppearanceConfig:
      type: object
      description: Serializer for OrgAppearanceConfig model.
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: Name of this appearance theme
          maxLength: 100
        theme_mode:
          enum:
            - light
            - dark
            - both
          type: string
          x-spec-enum-id: 7c1c76087c48fd0a
          description: >-
            Controls the available theme options for the organization's chat
            view


            * `light` - Light

            * `dark` - Dark

            * `both` - Both (User Choice)
        start_message:
          type: string
          description: Start message displayed when the chat interface opens
          maxLength: 120
        recommendations:
          nullable: true
          description: >-
            List of recommended questions to show on the start screen (max 500,
            up to 280 chars each)
        response_mode:
          enum:
            - full
            - basic
          type: string
          x-spec-enum-id: a1d7eff2bc6cb843
          description: >-
            Response mode for the chat interface - full includes advanced
            features like code execution


            * `full` - Full

            * `basic` - Basic
        show_sidebar:
          type: boolean
          description: Toggle visibility of the chat sidebar in the iframe.
        show_dashboards:
          type: boolean
          description: Toggle visibility of the dashboards tab in the iframe.
        custom_css_vars:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified:
          type: string
          format: date-time
          readOnly: true
        is_default:
          type: string
          readOnly: true
      required:
        - created_at
        - custom_css_vars
        - id
        - is_default
        - last_modified
        - name
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````